##
##  mqtt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_mqtt      5.10.1
%define       V_mqtt_snap 20240829

#   package information
Name:         mqtt
Summary:      MQTT Client Command-Line Interface
URL:          https://github.com/mqttjs/MQTT.js
Vendor:       Adam Rudd
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      MIT
Version:      %{V_mqtt}
Release:      20240829

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/mqtt/mqtt-%{V_mqtt}-%{V_mqtt_snap}.tar.xz
Source1:      mqtt.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    This is a small Node.js based MQTT client for the command-line.

%track
    prog mqtt = {
        version   = %{version}
        url       = https://github.com/mqttjs/MQTT.js/releases
        regex     = tree/v(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze -n "default:safe"
    rm -rf node_modules/help-me/fixture/shortnames
    rm -rf node_modules/help-me/fixture/sameprefix

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/mqtt
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE mqtt.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/mqtt
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/mqtt/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

